%def_disable static

Name: libofa
Version: 0.9.3
Release: alt1

Summary: Open Fingerprint Architecture library
License: APL v1 / GPL v2
Group: System/Libraries
Url: http://www.musicip.com/dns/
Packager: Mikhail Yakshin <greycat@altlinux.org>

Source0: %name-%version.tar.gz
BuildRequires: gcc-c++ libcurl-devel libexpat-devel libfftw3-devel packages-info-i18n-common
BuildRequires: hd2u

%description
MusicDNS (Music Digital Naming Service) offers a simple and
cost-effective method for identifying digital music and acquiring
metadata. As the largest fingerprint-based music database in the world,
MusicDNS is quickly becoming a standard for the global identification of
digital music. 

MusicDNS is structured software as a service (SaaS), and leverages the
extensive platform and infrastructure that MusicIP has put in place to
provide the most reliable services possible.

At its core, MusicDNS accepts four data types in order to identify
tracks and return the according information. For example, MusicDNS can
be provided with an acoustic fingerprint, which will then provide back
our universal unique ID that corresponds to that fingerprint as well as
all associated metadata that we have in our database. 

%package devel
Summary: Headers for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
Headers for building software that uses %name

%if_enabled static
%package devel-static
Summary: Static libraries for %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libs for building statically linked software that uses %name
%endif

%prep
%setup -q

%build
%configure %{subst_enable static}
%make_build

%install
%makeinstall
dos2unix %buildroot%_includedir/ofa1/* AUTHORS COPYING README

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS COPYING README

%files devel
%_libdir/*.so
%_includedir/ofa1
%_libdir/pkgconfig/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/lib%name.a
%endif

%changelog
* Sun Mar 18 2007 Mikhail Yakshin <greycat@altlinux.org> 0.9.3-alt1
- Initial build for ALT Linux

